> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Save survey page settings

> Save the survey page settings (`SurveyPageSettings`); the slug is unique per project (409 `slug_taken`).



## OpenAPI

````yaml https://api.gleap.io/api-docs.json put /engagement/surveys/{surveyId}/page
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /engagement/surveys/{surveyId}/page:
    put:
      tags:
        - Engagement Survey
      summary: Save survey page settings
      description: >-
        Save the survey page settings (`SurveyPageSettings`); the slug is unique
        per project (409 `slug_taken`).
      operationId: SavePage
      parameters:
        - in: path
          name: surveyId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema: {}
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
      security:
        - jwt: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.